#ifndef XGFXLIGHTREGIONHULL_H
#define XGFXLIGHTREGIONHULL_H

#include "xasset.h"
#include "xgfxlightregionaxis.h"

#include <QVector>
#include <QVector3D>

class XGfxLightRegionHull : public XAsset
{
public:
    XGfxLightRegionHull();
    ~XGfxLightRegionHull();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<QVector3D> mKdopMidPoint;
    QVector<QVector3D> mKdopHalfSize;
    uint mAxisCount;
    qint32 mAxisPtr;
    QVector<XGfxLightRegionAxis> mAxis;
};

#endif // XGFXLIGHTREGIONHULL_H
